# -*- encoding: utf-8 -*-
# stub: conjugatefr 1.0.5 ruby lib

Gem::Specification.new do |s|
  s.name = "conjugatefr".freeze
  s.version = "1.0.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["htmlguy".freeze]
  s.date = "2015-09-16"
  s.description = "== ABOUT\nA simple program and library to conjugate french verbs.\nParses responses to requests to an online reference site.\n\n=== Executable\nConjugateFR comes with the executable binary +conjugatefr+.\nTo view information about it's supported arguments, run\n conjugatefr --help\n\n=== Custom Renderers\nTo make a custom renderer, just type\n require conjugatefr/renderer\nand then make a class that extends +Renderer+.\nAn example is as follows:\n\n  require 'conjugatefr/renderer'\n  class ExampleRenderer < Renderer\n    def pre\n      puts \"This goes before the words.\"\n    end\n    def word (name, words)\n      print \"\#{name}:\"\n      words.each do |word|\n        print \" \#{word}\"\n      end\n    end\n    def post\n      puts \"This goes after the words.\"\n    end\n    def description; \"Renders an example format.\"; end\n  end\n  # Add to the Renderers list (For CLI and other programs that use it.)\n  $renderers[\"Example\"] = ExampleRenderer.new\nTo try this out, save it as +erend.rb+ and then run:\n  conjugatefr -R ./erend.rb -r Example\nIt will produce the output:\n  This goes before the words.\n  someword: someconjugation etc etc\n  ... (more words will be here)\n  This goes after the words.\n\n=== The Library\nThe library can be included with +require conjugatefr+. It includes the\n+ConjugateFR+ class.\n".freeze
  s.email = "htmlguy@pdum.xyz".freeze
  s.executables = ["conjugatefr".freeze]
  s.files = ["bin/conjugatefr".freeze]
  s.homepage = "http://rubygems.org/gems/conjugatefr".freeze
  s.licenses = ["Unlicense".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "ConjugateFR French Conjugation".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version
end
